Bug 561528 - libguestfs hangs on F-12: chardev: opening backend "stdio" failed / qemu: could not open serial device 'stdio': Invalid argument
libguestfs hangs on F-12: chardev: opening backend "stdio" failed / qemu: cou...
Status: CLOSED NEXTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-03 15:21 EST by James Laska
Modified: 2013-09-02 02:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: libguestfs-1.0.81-1.fc12.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-03 16:34:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2010-02-03 15:21:58 EST
= Description =

While executing the provided python test script [1] noted from Richards blog post [2], it seems that the command hangs.  I've been seeing similar issues while attempting virt installs on this F-12 system lately but haven't managed to pinpoint the trouble.  So far, this is the only reproduce-able test case I've found.

[1] https://fedorahosted.org/pipermail/autoqa-devel/attachments/20100201/0d29652b/attachment.py
[2] http://rwmj.wordpress.com/2010/02/01/libguestfs-python-example/

= Software installed = 

This is a F-12 system (plus updates)

 * gpxe-roms-qemu-0.9.7-6.fc12.noarch
 * libguestfs-1.0.75-1.fc12.x86_64
 * libvirt-0.7.5-3.fc12.x86_64
 * python-libguestfs-1.0.75-1.fc12.x86_64
 * qemu-common-0.12.1.2-3.fc12.x86_64
 * qemu-img-0.12.1.2-3.fc12.x86_64
 * qemu-kvm-0.12.1.2-3.fc12.x86_64
 * qemu-system-x86-0.12.1.2-3.fc12.x86_64

= Steps to reproduce = 
1) Run libguestfs-test-tool 

= Actual Results =

# libguestfs-test-tool 
===== Test starts here =====
LIBGUESTFS_DEBUG=1
new guestfs handle 0xc8d120
library version: 1.0.75
guestfs_get_append: (null)
guestfs_get_autosync: 0
guestfs_get_memsize: 500
guestfs_get_path: /usr/lib64/guestfs
guestfs_get_qemu: /usr/bin/qemu-kvm
guestfs_get_verbose: 1
Launching appliance, timeout set to 120 seconds.
looking for supermin appliance in /usr/lib64/guestfs
null_vmchannel_sock = 58845
accept_from_daemon: 0xc8d120 g->state = 0
/usr/bin/qemu-kvm \
    -drive file=/tmp/libguestfs-test-tool-sda-ojUUe4,cache=off,if=ide \
    -drive file=/tmp/libguestfs-test-tool-iso-arbZsP,cache=off,if=ide \
    -m 500 \
    -no-reboot \
    -nographic \
    -serial stdio \
    -no-hpet \
    -net user,vlan=0,net=10.0.2.0/8 \
    -net nic,model=virtio,vlan=0 \
    -kernel /tmp/libguestfsO3m10i/kernel \
    -initrd /tmp/libguestfsO3m10i/initrd \
    -append 'panic=1 console=ttyS0 udevtimeout=300 noapic acpi=off cgroup_disable=memory selinux=0 guestfs_vmchannel=tcp:10.0.2.2:58845 guestfs_verbose=1 '
chardev: opening backend "stdio" failed
qemu: could not open serial device 'stdio': Invalid argument
Alarm clock
Comment 1 Richard W.M. Jones 2010-02-03 15:31:03 EST
Updated summary to reflect the error.

We fixed this upstream a while back:

http://git.annexia.org/?p=libguestfs.git;a=commit;h=b4a4db522fed542f48aa60717e65061c5e83c919

but the build which includes that fix hasn't yet made
it to Fedora 12 updates.

Can you try installing the following package from
F12 updates-testing which should fix it:

https://admin.fedoraproject.org/updates/F12/FEDORA-2010-1176?_csrf_token=c38531a96656ca9bd2e24f9a78e1c197154039e5
Comment 2 Richard W.M. Jones 2010-02-03 15:32:52 EST
Link without the CSRF token:
https://admin.fedoraproject.org/updates/F12/FEDORA-2010-1176
Comment 3 James Laska 2010-02-03 15:44:46 EST
Thanks!  I've added positive karma to the bodhi update request.  The updates-testing packages recommended resolve the issue.

* libguestfs-1.0.81-1.fc12.4.x86_64
* python-libguestfs-1.0.81-1.fc12.4.x86_64

# libguestfs-test-tool
...
===== TEST FINISHED OK =====
closing guestfs handle 0x116f120 (state 2)
sending SIGTERM to process 26466
Comment 4 Richard W.M. Jones 2010-02-03 15:48:56 EST
Thanks for testing it.  I'll try to get that pushed
to stable asap.
Comment 5 Richard W.M. Jones 2010-02-03 16:34:56 EST
Confirmed that this fixes the issue on a F12 + virt-preview machine.

Note You need to log in before you can comment on or make changes to this bug.